[icons]
icons = "awesome"

[theme]
theme = "solarized-dark"
[theme.overrides]
idle_bg = "#002b36ff"
info_bg = "#268bd2ff"
good_bg = "#859900ff"
warning_bg = "#b58900ff"
critical_bg = "#dc322fff"
alternating_tint_bg = "#00000000"
separator = "<span font='14'>\ue0b2</span>"
#separator = ""

#[[block]]
#block = "focused_window"
#max_width = 100

[[block]]
block = "music"
player = "spotify"
format = "$prev $play $next|"

[[block]]
block = "sound"
driver = "auto"
show_volume_when_muted = true
headphones_indicator = true
step_width = 3
[[block.click]]
button = "left"
cmd = "pavucontrol"

[[block]]
block = "memory"
display_type = "memory"
format_mem = "$mem_used.eng(3,B,M)"
clickable = false
[[block.click]]
button = "left"
cmd = "kitty --class kitty-scratch -c ~/.config/kitty/kitty-scratch.conf btop"

[[block]]
block = "cpu"
interval = 1
[[block.click]]
button = "left"
cmd = "kitty --class kitty-scratch -c ~/.config/kitty/kitty-scratch.conf btop"

#[[block]]
#block = "sound"

[[block]]
block = "battery"
interval = 10

[[block]]
block = "pacman"
interval = 600
format = "$both updates available"
format_singular = "$both update available"
format_up_to_date = "up to date"
hide_when_uptodate = true
critical_updates_regex = "(^(linux-|sway|wl)|pipewire)"
aur_command = "yay -Qua"
[[block.click]]
button = "left"
cmd = "kitty --class kitty-scratch -c ~/.config/kitty/kitty-scratch.conf zsh -i -c update"

[[block]]
block = "net"
format = "$device{| $ssid}"
[[block.click]]
button = "left"
cmd = "kitty --class kitty-scratch -c ~/.config/kitty/kitty-scratch.conf nmtui"

[[block]]
block = "time"
interval = 60
format = "%a %d/%m/%Y %R"
